summaryrefslogtreecommitdiffstats
path: root/scripts/qt57/travisbuild.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2018-07-11 12:29:23 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2018-07-11 13:49:25 -0700
commit8fa9eabb47f451e60af765f007cca2af6def5222 (patch)
treecd40bb8b85996c3246f0f125a0fe07659a50283a /scripts/qt57/travisbuild.sh
parent6a9a185ffcb847cd900dadf05760602f1079269a (diff)
downloadsubsurface-8fa9eabb47f451e60af765f007cca2af6def5222.tar.gz
Travis: add Qt 5.7 testing
This is done via Fedora 26 which seemed the easiest way to get a 5.7 based distro. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/qt57/travisbuild.sh')
-rw-r--r--scripts/qt57/travisbuild.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/qt57/travisbuild.sh b/scripts/qt57/travisbuild.sh
new file mode 100644
index 000000000..060d36d46
--- /dev/null
+++ b/scripts/qt57/travisbuild.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -x
+set -e
+
+docker exec -t builder subsurface/scripts/build.sh -desktop 2>&1 | tee build.log
+# fail the build if we didn't create the target binary
+grep /workspace/install-root/bin/subsurface build.log
+